Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for Oracle Applications API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleadapter.base
Class OracleResourceAdapter

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.jca.system.STCResourceAdapter
              com.stc.connector.framework.jca.system.STCDBResourceAdapter
                  com.stc.connector.oracleadapter.base.OracleResourceAdapter

All Implemented Interfaces:
  com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.naming.Referenceable, javax.resource.spi.ResourceAdapter

    public class OracleResourceAdapter

extends com.stc.connector.framework.jca.system.STCDBResourceAdapter

See Also:
  Serialized Form

Constructor Summary
`OracleResourceAdapter()`

Method Summary
`void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory, javax.resource.spi.ActivationSpec aActivationSpec)`

Methods inherited from class com.stc.connector.framework.jca.system.STCDBResourceAdapter
`endpointDeactivation, getInboundProviderClassName, getXAResources, setInboundProviderClassName, start, stop`

Methods inherited from class com.stc.connector.framework.jca.system.STCResourceAdapter
`addMonitor, createMBean, getConfigurationInstance, getConfigurationModel, getConfigurationTemplate, getEwayDescription, getEwayName, getEwayResourceAdapterClass, getEwayResourceAdapterMBeanClass, getEwayResourceAdapterMBeanName, getEwayVersion, getMonitor, getRAConfiguration, getSupportedModes, setConfigurationInstance, setConfigurationTemplate, setEwayDescription, setEwayName, setEwayResourceAdapterClass, setEwayResourceAdapterMBeanClass, setEwayResourceAdapterMBeanName, setEwayVersion, setRAConfiguration, setSupportedModes`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleResourceAdapter

    public OracleResourceAdapter()

Method Detail

### endpointActivation

    public void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory,
                                   javax.resource.spi.ActivationSpec aActivationSpec)
                            throws javax.resource.NotSupportedException

  Specified by:
    `endpointActivation` in interface `javax.resource.spi.ResourceAdapter`
  Overrides:
    `endpointActivation` in class `com.stc.connector.framework.jca.system.STCDBResourceAdapter`
  Throws:
    `javax.resource.NotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for Oracle Applications API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc.